U++ - Bug #1186
Build methods crash ide when empty builder is saved
07/15/2015 08:39 PM - Zbigniew Rebacz

Status: Approved Start date: 07/15/2015
Priority: Urgent Due date:

Assignee: Zbigniew Rebacz % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

How to reproduce?

1. Open build methods.

2. Create builder and name it.
3. Save methods

4. Open build methods

History

#1 - 07/15/2015 10:07 PM - Zbigniew Rebacz
- Status changed from New to Ready for QA
- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

Fixed in revision - 8687.

#2 - 07/16/2015 08:49 AM - Miroslav Fidler
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

That pretty verbose way to do that, | have refactored to
String builderName = map.Get("BUILDER", Null);

#3 - 07/16/2015 03:34 PM - Zbigniew Rebacz
- Status changed from Ready for QA to Approved

OK, thanks for the tip. | will consider using such construction in the future.
